<?php require ('header.php'); ?>

	<div id="wpsite_plugin_content">

		<div id="wpsite_plugin_settings">

			<?php

			// Display any messaages

			if (isset($_GET['message']) && $_GET['message'] != '') {

				$status = isset($_GET['status']) ? $_GET['status'] : 'warning';

				?>
				<div class="alert alert-<?php echo $status; ?> alert-dismissible" role="alert">
					<button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
					<?php echo $_GET['message']; ?>
				</div>
				<?php

			}?>

			<div id="col-container">

				<div id="col-right" style="width: 60%;">

					<h2><?php _e('All Groups', WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR); ?></h2>

					<div class="col-wrap">

						<form method="GET">
							<input type="hidden" name="page" value="<?php echo self::$group_page; ?>" />
							<?php
							include_once(WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR . "/include/classes/Ad_Goups_Table_WPTO.php");
							$adGroupsTable = new Ad_Goups_Table_WPTO();

							$adGroupsTable->set_data($tmp);

							$adGroupsTable->get_table_classes('table');

							$adGroupsTable->prepare_items();

							?>
						</form>

						<form method="POST">
							<?php
							$adGroupsTable->display();
							?>
						</form>

					</div>

				</div>

				<div id="col-left">

					<h2><?php isset($_GET['action']) && $_GET['action'] == 'edit' ? _e('Edit', WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR) : _e('Add', WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR); ?> <?php _e('Group', WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR); ?> <a class="label label-primary" href="<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$group_page; ?>&action=add"><?php _e("Add New", self::$text_domain); ?></a>
					</h2>

					<div class="col-wrap">

						<form method="POST" role="form">

							<?php

							// Edit Ad Group

							if (isset($_GET["action"]) && $_GET["action"] == "edit") {
								$val = $adGroupsMgn->get_data_byid(isset($_GET["adgroup_id"]) ? $_GET["adgroup_id"] : null);
							} ?>

							<div class="form-group <?php if (isset($_GET['action']) && $_GET['action'] == 'add' && !isset($val['name'])) echo 'has-error has-feedback'; ?>">
								<label for="adgroup_name"><?php _e('Name', self::$text_domain)?></label>
								<input class="form-control" type="text" aria-required="true" value="<?php echo isset($val['name']) ? esc_attr($val['name']) : ''; ?>" id="adgroup_name" name="adgroup_name">
								<?php if (isset($_GET['action']) && $_GET['action'] == 'add' && !isset($val['name'])) echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
								<em class="help-block"><?php _e('The name of the ad group.', self::$text_domain)?></em>
							</div>

							<div class="form-group">
								<label for="adgroup_notes"><?php _e('Description', self::$text_domain)?></label>
								<textarea class="form-control" cols="40" rows="5" id="adgroup_notes" name="adgroup_notes"><?php echo isset($val['notes']) ? esc_attr($val['notes']) : ''; ?></textarea>
								<em class="help-block"><?php _e('The description of the ad group.', self::$text_domain)?></em>
							</div>

							<p class="submit">
								<input type="submit" value="<?php isset($_GET['action']) && $_GET['action'] == 'edit' ? _e('Save Changes', WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR) : _e('Add New Ad Group', WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR); ?>" class="btn btn-primary" id="submit" name="submit">
							</p>

						</form>
					</div>
				</div>

			</div>

			<!-- Modal Popup for the delete confirmation -->

			<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
				<div class="modal-dialog">
					<div class="modal-content" style="margin-top: 25%;">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
							<h4 class="modal-title"><?php _e('Delete Ad Group', self:: $text_domain); ?></h4>
						</div>
						<div class="modal-body">
							<p></p>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-danger" data-dismiss="modal"><?php _e('Cancel', self:: $text_domain); ?></button>
							<button id="modal-success" type="button" class="btn btn-primary"><?php _e('Yes', self:: $text_domain); ?></button>
						</div>
					</div><!-- /.modal-content -->
				</div><!-- /.modal-dialog -->
			</div><!-- /.modal -->

		</div> <!-- wpsite_plugin_settings -->

		<?php require ('sidebar.php'); ?>

	</div> <!-- /wpsite_plugin_content -->

<?php require ('footer.php'); ?>