<?php

	//if uninstall not called from WordPress exit
	if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
		exit ();

	/* Delete all existence of this plugin */

	global $wpdb;

	include_once(dirname(__FILE__) . "/include/classes/Ad_Groups_DB_WPTO.php");
	include_once(dirname(__FILE__) . "/include/classes/Ads_DB_WPTO.php");

	$ads_db_wpto = new Ads_DB_WPTO();
	$ads_db_wpto->delete_img_before_drop_tb();

	$version_option_name = 'wpsite_wallpaper_takeover_version';
	$global_setting_name = 'wpsite_background_takeover_global_settings';

	if ( !is_multisite() ) {
		delete_option($version_option_name);
		delete_option($global_setting_name);
	} else {
		delete_site_option($version_option_name);
	    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
	    $original_blog_id = get_current_blog_id();

	    foreach ( $blog_ids as $blog_id ) {
	        switch_to_blog( $blog_id );

	        delete_option($global_setting_name);

	        $wpdb->query("DROP TABLE `" . $wpdb->prefix . "wpsite_takeover_ads`");
	        $wpdb->query("DROP TABLE `" . $wpdb->prefix . "wpsite_takeover_ad_groups`");
	    }
	    switch_to_blog( $original_blog_id );
	}
?>